//
// Copyright (c) 1997 Content Technologies Limited. All rights reserved.
//
// HEADER
//
//		urlblock.h
//
// PACKAGE
//
//		UBK - URL Blocker
//
// DESCRIPTION
//
//		This header files defines the exported functions which form the necessary API
//		a URL blocker must provide if it is to work with WEBsweeper.
//
//
// REFERENCES
//
//		None.
//
// HISTORY
//
//		AUTHOR				DATE				CHANGES
//
//		Dominic Chambers	12-December-1997	Initial Version
//

#ifndef BOOL
typedef int BOOL;
#endif
#ifndef TRUE
#define TRUE        1
#endif
#ifndef FALSE
#define FALSE       0
#endif
#ifndef NULL
#define NULL        0
#endif

#if defined(__cplusplus)
extern "C"
#endif
BOOL _declspec(dllexport) url_block_init(char* config_file_name, char* config_section_name);


#if defined(__cplusplus)
extern "C"
#endif
BOOL _declspec(dllexport) url_block_query(char* url, long host_ip_addr, char* reason_text, int buff_size);


#if defined(__cplusplus)
extern "C"
#endif
void _declspec(dllexport) url_block_terminate(void);
