@echo off

rem This batch file looks for the presence of MAILsweeper
rem if the service is not started, then it will start it.
rem
rem Copyright Content Technologies Ltd. 14.5.98

rem Two parameters to this batch file are required. The first is the
rem name of the machine running MAILsweeper (eg \\MyComputer)
rem The second is the time delay in seconds between the checks to
rem see if the service is still running.




if "%2"=="" goto insufficient_params
if not "%3"=="" goto too_many_params


:top

echo.
netsvc mailsweeper %1
goto section%errorlevel%

:section0
REM We had an error - go round again
Goto restart

:section1
REM if we get here, its not running, and we need to restart it.
Echo.
Echo.
net start mailsweeper
goto restart

:section2
:section3
:section4
:section5
:section6
:section7
REM If we get here, all is fine.
goto restart

:restart
sleep %2
goto top



:Insufficient_params
:too_many_params
Echo Incorrect number of parameters.
Echo.
Echo Usage Check [hostname] [wait time in secs]
echo.
Echo eg Check \\MyComputer 60
Echo.

:end